Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.common.PrintDeviceSettingData Class Reference

Inherits SystemIDisposable.

## Public Types
enum | OrientationFlag { OrientationFlag.e_Portrait = 0, OrientationFlag.e_Landscape = 1 }
| Enumeration for specifying the orientation of the printer. More...

## Public Member Functions
| PrintDeviceSettingData (int device_width, int device_height, RectF device_margin, PrintDeviceSettingData.OrientationFlag orientation, int resolution, int copies)
| Constructor, with parameters. More...
| PrintDeviceSettingData ()
| Constructor and set the default value. More...
| PrintDeviceSettingData (PrintDeviceSettingData settings)
| Constructor, with another print device setting data object. More...
void | Set (int device_width, int device_height, RectF device_margin, PrintDeviceSettingData.OrientationFlag orientation, int resolution, int copies)
| Set value. More...

## Properties
int | copies`[get, set]`
| The number of copies to be printed. This parameter only has an effect on PostScrip files.
int | device_height`[get, set]`
| The height of the device in pixels.
RectF? | device_margin`[get, set]`
| The page margins of the device. More...
int | device_width`[get, set]`
| The width of the device in pixels.
PrintDeviceSettingData.OrientationFlag | orientation`[get, set]`
| Orientation flag. Please refer to values starting from and this should be one of these values.
int | resolution`[get, set]`
| The resolution of the device in pixels per inch.

## Detailed Description

This class represents setting data for print device. This would be used in class Renderer .

See also
  Renderer

## Member Enumeration Documentation

## ◆ OrientationFlag

enum foxit.common.PrintDeviceSettingData.OrientationFlag
| strong

Enumeration for specifying the orientation of the printer.

Values of this enumeration should be used alone.

Enumerator
e_Portrait | Portrait orientation for printing.
e_Landscape | Landscape orientation for printing.

## Constructor & Destructor Documentation

## ◆ PrintDeviceSettingData() [1/3]

foxit.common.PrintDeviceSettingData.PrintDeviceSettingData | ( | int | device_width,
|  | int | device_height,
|  | RectF | device_margin,
|  | PrintDeviceSettingData.OrientationFlag | orientation,
|  | int | resolution,
|  | int | copies
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | device_width | The width of the device in pixels.
  [in] | device_height | The height of the device in pixels.
  [in] | device_margin | The page margins of the device. it does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device.
  [in] | orientation | Orientation flag. Please refer to values starting from and this should be one of these values. resolution The resolution of the device in pixels per inch. copies The number of copies to be printed. This parameter only has an effect on PostScrip files.

## ◆ PrintDeviceSettingData() [2/3]

foxit.common.PrintDeviceSettingData.PrintDeviceSettingData | ( |  | ) |
| inline

Constructor and set the default value.

By default, the pixel value of an A4 paper is set to 300 dpi (dots per inch).

## ◆ PrintDeviceSettingData() [3/3]

foxit.common.PrintDeviceSettingData.PrintDeviceSettingData | ( | PrintDeviceSettingData | settings | ) |
| inline

Constructor, with another print device setting data object.

Parameters

  [in] | settings | Another print device settings object.

## Member Function Documentation

## ◆ Set()

void foxit.common.PrintDeviceSettingData.Set | ( | int | device_width,
|  | int | device_height,
|  | RectF | device_margin,
|  | PrintDeviceSettingData.OrientationFlag | orientation,
|  | int | resolution,
|  | int | copies
| ) |  |
| inline

Set value.

Parameters

  [in] | device_width | The width of the device in pixels.
  [in] | device_height | The height of the device in pixels.
  [in] | device_margin | The page margins of the device. it does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device.
  [in] | orientation | Orientation flag. Please refer to values starting from and this should be one of these values. resolution The resolution of the device in pixels per inch. copies The number of copies to be printed. This parameter only has an effect on PostScrip files. None.

## Property Documentation

## ◆ device_margin

RectF foxit.common.PrintDeviceSettingData.device_margin
| get set

The page margins of the device.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device. The value should not be negative.